Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class CatalogSelectorTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.p13n.servlets.jsp.TagSupport
              com.beasys.commerce.ebusiness.catalog.tags.CatalogSelectorTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated

    @Deprecated
    public class CatalogSelectorTag

extends TagSupport

The tag handler of the catalog jsp extension tag 'catalogSelector'. The catalogtSelector tag allows personalized catalog items to be selected based on user profile.

See Also
  Serialized Form

Field Summary
`protected String` | `id` Deprecated To store the value of id attribute.
`protected String` | `selector` Deprecated The name of the selector rule in the rule set.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CatalogSelectorTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Processes the start tag.
`protected ViewIterator` | `getCatalogItems()` Deprecated Get the ViewIterator over catalog items.
`String` | `getId()` Deprecated Gets the id to assign the results to.
`protected AdviceRequest` | `getRequest()` Deprecated Returns a CatalogSelector AdviceRequest object after populating the following fields The current HTTP Request The current HTTP Session The current User A new TimeInstant A new Time A new Date A RULES_RULENAME_TO_FIRE A RULES_FILTER_CLASS_NAME
`String` | `getRule()` Deprecated Get name of the selector rule in the ruleSet.
`void` | `release()` Deprecated Reinitializes the instance data in this object.
`void` | `setId(String anId)` Deprecated Sets the id to assign the results to.
`void` | `setRule(String aSelector)` Deprecated Set name of the selector rule in the rule set.

Methods inherited from class com.bea.p13n.servlets.jsp.TagSupport
`createAdviceRequest, createAdvisor`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selector

    protected String selector

  Deprecated
  The name of the selector rule in the rule set.

### id

    protected String id

  Deprecated
  To store the value of id attribute.

Constructor Detail

### CatalogSelectorTag

    public CatalogSelectorTag()

  Deprecated

Method Detail

### setRule

    public void setRule(String aSelector)

  Deprecated
  Set name of the selector rule in the rule set.

  Parameters
    `aSelector` - The name of the selector rule.

### getRule

    public String getRule()

  Deprecated
  Get name of the selector rule in the ruleSet.

  Returns
    String The name of the selector rule.

### setId

    public void setId(String anId)

  Deprecated
  Sets the id to assign the results to.

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`
  Parameters
    `anId` - The id for the results.

### getId

    public String getId()

  Deprecated
  Gets the id to assign the results to.

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns
    The id for the results.

### getCatalogItems

    protected ViewIterator getCatalogItems()
                                    throws javax.servlet.jsp.JspException

  Deprecated
  Get the ViewIterator over catalog items.

  Returns
    a ViewIterator over the CatalogItems.
  Throws
    `javax.servlet.jsp.JspException` - If unable to get advice or if incomplete advice is received.

### getRequest

    protected AdviceRequest getRequest()
                                throws javax.servlet.jsp.JspException

  Deprecated
  Returns a CatalogSelector AdviceRequest object after populating the following fields
  - The current HTTP Request
  - The current HTTP Session
  - The current User
  - A new TimeInstant
  - A new Time
  - A new Date
  - A RULES_RULENAME_TO_FIRE
  - A RULES_FILTER_CLASS_NAME

  Returns
    A CatalogSelector AdviceRequest.
  Throws
    `javax.servlet.jsp.JspException` - If there is a problem creating the request.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Processes the start tag. Will set the 'id' to array of content objects found.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns
    The SKIP_BODY constant since this tag does not have a body.
  Throws
    `javax.servlet.jsp.JspException` - if an error. occurrs during content retrieval.

### release

    public void release()

  Deprecated
  Reinitializes the instance data in this object.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved